<b-nav-item-dropdown right>
    <template #button-content>
        <svg
            xmlns="/img/constants.svg"
            width="16"
            height="16"
            fill="currentColor"
            viewBox="0 0 16 16"
        >
            <path
                fill-rule="evenodd"
                d="M1.114 8.063V7.9c1.005-.102 1.497-.615 1.497-1.6V4.503c0-1.094.39-1.538 1.354-1.538h.273V2h-.376C2.25 2 1.49 2.759 1.49 4.352v1.524c0 1.094-.376 1.456-1.49 1.456v1.299c1.114 0 1.49.362 1.49 1.456v1.524c0 1.593.759 2.352 2.372 2.352h.376v-.964h-.273c-.964 0-1.354-.444-1.354-1.538V9.663c0-.984-.492-1.497-1.497-1.6ZM14.886 7.9v.164c-1.005.103-1.497.616-1.497 1.6v1.798c0 1.094-.39 1.538-1.354 1.538h-.273v.964h.376c1.613 0 2.372-.759 2.372-2.352v-1.524c0-1.094.376-1.456 1.49-1.456v-1.3c-1.114 0-1.49-.362-1.49-1.456V4.352C14.51 2.759 13.75 2 12.138 2h-.376v.964h.273c.964 0 1.354.444 1.354 1.538V6.3c0 .984.492 1.497 1.497 1.6ZM7.5 11.5V9.207l-1.621 1.621-.707-.707L6.792 8.5H4.5v-1h2.293L5.172 5.879l.707-.707L7.5 6.792V4.5h1v2.293l1.621-1.621.707.707L9.208 7.5H11.5v1H9.207l1.621 1.621-.707.707L8.5 9.208V11.5h-1Z"
            />
        </svg>
    </template>
    <b-dropdown-text class="centered-text">
        <b>NETWORK CONSTANTS</b>
    </b-dropdown-text>
    <b-dropdown-text>
        <b>Consensus comittee size</b> : {{ network_constants.consensus_committee_size }}
    </b-dropdown-text>
    <b-dropdown-text>
        <b>Minimal block delay</b> : {{ network_constants.minimal_block_delay }}
    </b-dropdown-text>
    <b-dropdown-text>
        <b>Delay increment per round</b> : {{ network_constants.delay_increment_per_round }}
    </b-dropdown-text>
    <b-dropdown-text v-if="network_constants.smart_rollup_challenge_window_in_blocks!=undefined">
        <b>SORU challenge window in blocks</b> : {{
        network_constants.smart_rollup_challenge_window_in_blocks }}
    </b-dropdown-text>
    <b-dropdown-text v-if="network_constants.smart_rollup_commitment_period_in_blocks!=undefined">
        <b>SORU commitment period in blocks</b> : {{
        network_constants.smart_rollup_commitment_period_in_blocks }}
    </b-dropdown-text>
    <b-dropdown-text v-if="network_constants.dal_parametric!=undefined">
        <b>DAL attestation lag</b> : {{ network_constants.dal_parametric.attestation_lag }}
    </b-dropdown-text>
    <b-dropdown-text v-if="network_constants.dal_parametric!=undefined">
        <b>DAL max number of slots</b> : {{ network_constants.dal_parametric.number_of_slots }}
    </b-dropdown-text>
    <b-dropdown-divider />
    <b-dropdown-item :href="path_to_network_constants" target="_blank">
        <div class="centered-text underline">
            <b>More constants</b>
            <i class="bi bi-box-arrow-up-right" />
        </div>
    </b-dropdown-item>
</b-nav-item-dropdown>
